Project

General

Profile

Actions

Bug #2131

closed

pfsync(4) version change breaks HA upgrade

Added by Ermal Luçi almost 10 years ago. Updated almost 10 years ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Category:
CARP
Target version:
Start date:
01/23/2012
Due date:
% Done:

0%

Estimated time:
Plus Target Version:
Release Notes:
Affected Version:
All
Affected Architecture:

Description

Since in FreeBSD 9 there is a new pfsync version upgrades will break the protocol so either a compat layer needs to be written or a BIG notice should be given to users.

Actions #1

Updated by Jim Pingle almost 10 years ago

We always warn for that, this is no surprise.

We are usually shocked when it does work, since we expect failure here. I'm not sure there is anything else special beyond our usual recommendations to account for here.

Actions #2

Updated by Ermal Luçi almost 10 years ago

I added this just to list possible options not really doing anything more with it.

Actions #3

Updated by Chris Buechler almost 10 years ago

  • Status changed from New to Closed

It's noted in the upgrade guide for previous versions and we'll just have to expand that as we always do for new releases when 2.1 comes out. It's not a bug, it's just a fact of life and we account for it.

Actions

Also available in: Atom PDF